Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface MemberMetadata

All Superinterfaces:
  Metadata

All Known Subinterfaces:
  FieldMetadata, PropertyMetadata

    public interface MemberMetadata

extends Metadata

Represents a field/property in a class/persistent-interface.

Since:
  3.0

Method Summary
`ArrayMetadata` | `getArrayMetadata()` Accessor for the array details.
`boolean` | `getCacheable()` Accessor for whether this is cacheable.
`CollectionMetadata` | `getCollectionMetadata()` Accessor for the array details.
`java.lang.String` | `getColumn()` Accessor for the name of the column.
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the join.
`java.lang.String` | `getCustomStrategy()` Accessor for the custom strategy (overriding "strategy").
`java.lang.Boolean` | `getDefaultFetchGroup()` Accessor for whether part of the DFG.
`ForeignKeyAction` | `getDeleteAction()` Accessor for the delete action of the FK
`java.lang.Boolean` | `getDependent()` Accessor for whether unique.
`ElementMetadata` | `getElementMetadata()` Accessor for the element details
`java.lang.Boolean` | `getEmbedded()` Accessor for whether it is embedded.
`EmbeddedMetadata` | `getEmbeddedMetadata()` Accessor for the embedded metadata.
`java.lang.String` | `getFieldType()` Accessor for the type storable in the field
`ForeignKeyMetadata` | `getForeignKeyMetadata()` Accessor for any foreign key metadata on this field/property.
`java.lang.Boolean` | `getIndexed()` Accessor for whether it is indexed.
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata for the field/property
`JoinMetadata` | `getJoinMetadata()` Accessor for the join details.
`KeyMetadata` | `getKeyMetadata()` Accessor for the key details
`java.lang.String` | `getLoadFetchGroup()` Accessor for the name of the load fetch group
`MapMetadata` | `getMapMetadata()` Accessor for the map details.
`java.lang.String` | `getMappedBy()` Accessor for the mapped-by field/property
`java.lang.String` | `getName()` Accessor for the name of the field/property.
`NullValue` | `getNullValue()` Accessor for the behaviour of a null value
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this join.
`OrderMetadata` | `getOrderMetadata()` Accessor for the order metadata.
`PersistenceModifier` | `getPersistenceModifier()` Accessor for the persistence modifier of the field/property.
`boolean` | `getPrimaryKey()` Accessor for whether it is part of the pk.
`int` | `getRecursionDepth()` Accessor for the recursion depth (when part of a fetch group).
`java.lang.String` | `getSequence()` Accessor for the sequence (when using value-strategy of "sequence")
`java.lang.Boolean` | `getSerialized()` Accessor for whether it is serialized.
`java.lang.String` | `getTable()` Accessor for the name of the table.
`java.lang.Boolean` | `getUnique()` Accessor for whether unique.
`UniqueMetadata` | `getUniqueMetadata()` Accessor for any unique constraint metadata on this field/property.
`ValueMetadata` | `getValueMetadata()` Accessor for the value details
`IdGeneratorStrategy` | `getValueStrategy()` Accessor for the value strategy
`ArrayMetadata` | `newArrayMetadata()` Method to define the array details (if the field/property is an array)
`CollectionMetadata` | `newCollectionMetadata()` Method to define the array details (if the field/property is an array)
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this join.
`ElementMetadata` | `newElementMetadata()` Method to define the new element details
`EmbeddedMetadata` | `newEmbeddedMetadata()` Method to define the embedded details
`ForeignKeyMetadata` | `newForeignKeyMetadata()` Method to set new foreign key metadata for the field/property
`IndexMetadata` | `newIndexMetadata()` Method to set index metadata for the field/property
`JoinMetadata` | `newJoinMetadata()` Method to define the join details
`KeyMetadata` | `newKeyMetadata()` Method to define the key details
`MapMetadata` | `newMapMetadata()` Method to define the map details (if the field/property is an map)
`OrderMetadata` | `newOrderMetadata()` Method to define the order details.
`UniqueMetadata` | `newUniqueMetadata()` Method to set new unique constraint metadata for the field/property
`ValueMetadata` | `newValueMetadata()` Method to define the value details
`MemberMetadata` | `setCacheable(boolean cacheable)` Method to set whether this is cacheable
`MemberMetadata` | `setColumn(java.lang.String col)` Method to set the column name.
`MemberMetadata` | `setCustomStrategy(java.lang.String strategy)` Method to set the custom identity generation strategy.
`MemberMetadata` | `setDefaultFetchGroup(boolean dfg)` Method to set whether it is in the DFG.
`MemberMetadata` | `setDeleteAction(ForeignKeyAction action)` Method to set the delete action of the FK
`MemberMetadata` | `setDependent(boolean unique)` Method to set whether it is unique.
`MemberMetadata` | `setEmbedded(boolean emb)` Method to set whether it is embedded.
`MemberMetadata` | `setFieldType(java.lang.String type)` Method to set the field type(s).
`MemberMetadata` | `setIndexed(boolean index)` Method to set whether it is indexed.
`MemberMetadata` | `setLoadFetchGroup(java.lang.String grp)` Method to set the load fetch group.
`MemberMetadata` | `setMappedBy(java.lang.String map)` Method to set the field on the other side of a bidirectional relation (this side is owner)
`MemberMetadata` | `setName(java.lang.String name)` Method to set the name.
`MemberMetadata` | `setNullValue(NullValue val)` Method to set the behaviour of a null value
`MemberMetadata` | `setPersistenceModifier(PersistenceModifier mod)` Method to set the persistence-modifier of the field/property.
`MemberMetadata` | `setPrimaryKey(boolean pk)` Method to set whether it is part of the pk
`MemberMetadata` | `setRecursionDepth(int depth)` Method to set the recursion depth (when used in a fetch group).
`MemberMetadata` | `setSequence(java.lang.String seq)` Method to set the sequence (when using value-strategy of "sequence")
`MemberMetadata` | `setSerialized(boolean ser)` Method to set whether it is serialized.
`MemberMetadata` | `setTable(java.lang.String table)` Method to set the table name.
`MemberMetadata` | `setUnique(boolean unique)` Method to set whether it is unique.
`MemberMetadata` | `setValueStrategy(IdGeneratorStrategy str)` Method to set the value strategy

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setName

    MemberMetadata setName(java.lang.String name)

  Method to set the name.

  Parameters:
    `name` - name

### getName

    java.lang.String getName()

  Accessor for the name of the field/property.

  Returns:
    The name

### setTable

    MemberMetadata setTable(java.lang.String table)

  Method to set the table name.

  Parameters:
    `table` - Table name

### getTable

    java.lang.String getTable()

  Accessor for the name of the table.

  Returns:
    The name

### setColumn

    MemberMetadata setColumn(java.lang.String col)

  Method to set the column name.

  Parameters:
    `col` - Column name

### getColumn

    java.lang.String getColumn()

  Accessor for the name of the column.

  Returns:
    The column name

### setFieldType

    MemberMetadata setFieldType(java.lang.String type)

  Method to set the field type(s). For defining where we want to restrict what type is stored in a field

  Parameters:
    `type` - Type of field

### getFieldType

    java.lang.String getFieldType()

  Accessor for the type storable in the field

  Returns:
    The field type

### setDeleteAction

    MemberMetadata setDeleteAction(ForeignKeyAction action)

  Method to set the delete action of the FK

  Parameters:
    `action` - Delete action of the FK

### getDeleteAction

    ForeignKeyAction getDeleteAction()

  Accessor for the delete action of the FK

  Returns:
    The FK delete-action

### setPersistenceModifier

    MemberMetadata setPersistenceModifier(PersistenceModifier mod)

  Method to set the persistence-modifier of the field/property.

  Parameters:
    `mod` - persistence modifier

### getPersistenceModifier

    PersistenceModifier getPersistenceModifier()

  Accessor for the persistence modifier of the field/property.

  Returns:
    The persistence modifier

### setNullValue

    MemberMetadata setNullValue(NullValue val)

  Method to set the behaviour of a null value

  Parameters:
    `val` - Null value behaviour

### getNullValue

    NullValue getNullValue()

  Accessor for the behaviour of a null value

  Returns:
    The null value behaviour

### setDefaultFetchGroup

    MemberMetadata setDefaultFetchGroup(boolean dfg)

  Method to set whether it is in the DFG.

  Parameters:
    `dfg` - DFG?

### getDefaultFetchGroup

    java.lang.Boolean getDefaultFetchGroup()

  Accessor for whether part of the DFG.

  Returns:
    dfg?

### setDependent

    MemberMetadata setDependent(boolean unique)

  Method to set whether it is unique.

  Parameters:
    `unique` - Unique?

### getDependent

    java.lang.Boolean getDependent()

  Accessor for whether unique.

  Returns:
    Unique?

### setEmbedded

    MemberMetadata setEmbedded(boolean emb)

  Method to set whether it is embedded.

  Parameters:
    `emb` - Embedded?

### getEmbedded

    java.lang.Boolean getEmbedded()

  Accessor for whether it is embedded.

  Returns:
    embedded?

### setSerialized

    MemberMetadata setSerialized(boolean ser)

  Method to set whether it is serialized.

  Parameters:
    `ser` - serialized?

### getSerialized

    java.lang.Boolean getSerialized()

  Accessor for whether it is serialized.

  Returns:
    serialized?

### setPrimaryKey

    MemberMetadata setPrimaryKey(boolean pk)

  Method to set whether it is part of the pk

  Parameters:
    `pk` - PK?

### getPrimaryKey

    boolean getPrimaryKey()

  Accessor for whether it is part of the pk.

  Returns:
    pk?

### setIndexed

    MemberMetadata setIndexed(boolean index)

  Method to set whether it is indexed.

  Parameters:
    `index` - Indexed?

### getIndexed

    java.lang.Boolean getIndexed()

  Accessor for whether it is indexed.

  Returns:
    Indexed?

### setUnique

    MemberMetadata setUnique(boolean unique)

  Method to set whether it is unique.

  Parameters:
    `unique` - Unique?

### getUnique

    java.lang.Boolean getUnique()

  Accessor for whether unique.

  Returns:
    Unique?

### setCacheable

    MemberMetadata setCacheable(boolean cacheable)

  Method to set whether this is cacheable

  Parameters:
    `cacheable` - Cacheable?

### getCacheable

    boolean getCacheable()

  Accessor for whether this is cacheable.

  Returns:
    Detachable?

### setRecursionDepth

    MemberMetadata setRecursionDepth(int depth)

  Method to set the recursion depth (when used in a fetch group).

  Parameters:
    `depth` - Recursion depth

### getRecursionDepth

    int getRecursionDepth()

  Accessor for the recursion depth (when part of a fetch group).

  Returns:
    Recursion depth?

### setLoadFetchGroup

    MemberMetadata setLoadFetchGroup(java.lang.String grp)

  Method to set the load fetch group.

  Parameters:
    `grp` - Load fetch group

### getLoadFetchGroup

    java.lang.String getLoadFetchGroup()

  Accessor for the name of the load fetch group

  Returns:
    The load fetch group

### setValueStrategy

    MemberMetadata setValueStrategy(IdGeneratorStrategy str)

  Method to set the value strategy

  Parameters:
    `str` - Value strategy

### getValueStrategy

    IdGeneratorStrategy getValueStrategy()

  Accessor for the value strategy

  Returns:
    Value strategy

### setCustomStrategy

    MemberMetadata setCustomStrategy(java.lang.String strategy)

  Method to set the custom identity generation strategy.

  Parameters:
    `strategy` - The strategy

### getCustomStrategy

    java.lang.String getCustomStrategy()

  Accessor for the custom strategy (overriding "strategy").

  Returns:
    The strategy

### setSequence

    MemberMetadata setSequence(java.lang.String seq)

  Method to set the sequence (when using value-strategy of "sequence")

  Parameters:
    `seq` - Sequence key

### getSequence

    java.lang.String getSequence()

  Accessor for the sequence (when using value-strategy of "sequence")

  Returns:
    Sequence key

### setMappedBy

    MemberMetadata setMappedBy(java.lang.String map)

  Method to set the field on the other side of a bidirectional relation (this side is owner)

  Parameters:
    `map` - mapped-by field/property

### getMappedBy

    java.lang.String getMappedBy()

  Accessor for the mapped-by field/property

  Returns:
    mapped-by field/property

### newArrayMetadata

    ArrayMetadata newArrayMetadata()

  Method to define the array details (if the field/property is an array)

  Returns:
    The ArrayMetadata

### getArrayMetadata

    ArrayMetadata getArrayMetadata()

  Accessor for the array details.

  Returns:
    array details

### newCollectionMetadata

    CollectionMetadata newCollectionMetadata()

  Method to define the array details (if the field/property is an array)

  Returns:
    The ArrayMetadata

### getCollectionMetadata

    CollectionMetadata getCollectionMetadata()

  Accessor for the array details.

  Returns:
    array details

### newMapMetadata

    MapMetadata newMapMetadata()

  Method to define the map details (if the field/property is an map)

  Returns:
    The MapMetadata

### getMapMetadata

    MapMetadata getMapMetadata()

  Accessor for the map details.

  Returns:
    map details

### newJoinMetadata

    JoinMetadata newJoinMetadata()

  Method to define the join details

  Returns:
    The JoinMetadata

### getJoinMetadata

    JoinMetadata getJoinMetadata()

  Accessor for the join details.

  Returns:
    join details

### newEmbeddedMetadata

    EmbeddedMetadata newEmbeddedMetadata()

  Method to define the embedded details

  Returns:
    The EmbeddedMetadata

### getEmbeddedMetadata

    EmbeddedMetadata getEmbeddedMetadata()

  Accessor for the embedded metadata.

  Returns:
    embedded metadata

### newElementMetadata

    ElementMetadata newElementMetadata()

  Method to define the new element details

  Returns:
    The ElementMetadata

### getElementMetadata

    ElementMetadata getElementMetadata()

  Accessor for the element details

  Returns:
    element details

### newKeyMetadata

    KeyMetadata newKeyMetadata()

  Method to define the key details

  Returns:
    The KeyMetadata

### getKeyMetadata

    KeyMetadata getKeyMetadata()

  Accessor for the key details

  Returns:
    key details

### newValueMetadata

    ValueMetadata newValueMetadata()

  Method to define the value details

  Returns:
    The ValueMetadata

### getValueMetadata

    ValueMetadata getValueMetadata()

  Accessor for the value details

  Returns:
    value details

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set index metadata for the field/property

  Returns:
    The metadata for any index

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata for the field/property

  Returns:
    Index metadata

### newUniqueMetadata

    UniqueMetadata newUniqueMetadata()

  Method to set new unique constraint metadata for the field/property

  Returns:
    The UniqueMetadata

### getUniqueMetadata

    UniqueMetadata getUniqueMetadata()

  Accessor for any unique constraint metadata on this field/property.

  Returns:
    The UniqueMetadata

### newForeignKeyMetadata

    ForeignKeyMetadata newForeignKeyMetadata()

  Method to set new foreign key metadata for the field/property

  Returns:
    The ForeignKeyMetadata

### getForeignKeyMetadata

    ForeignKeyMetadata getForeignKeyMetadata()

  Accessor for any foreign key metadata on this field/property.

  Returns:
    The ForeignKeyMetadata

### newOrderMetadata

    OrderMetadata newOrderMetadata()

  Method to define the order details.

  Returns:
    The OrdeMetadata

### getOrderMetadata

    OrderMetadata getOrderMetadata()

  Accessor for the order metadata.

  Returns:
    order metadata

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the join.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this join.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this join.

  Returns:
    The number of columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.